Name:     flesh
Version:  2.0
Release:  %mkrel 1

Summary:  Document analyzer
Group:    Office      
License:  GPL
URL:      http://flesh.sourceforge.net/
Source:   http://flesh.sourceforge.net/Flesh-Linux-%{version}.tar.xz
Source1:   %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:  java
BuildArch: noarch

%description
 Flesh is a cross-platform, open source Java application designed to quickly analyze a document and display the difficulty associated with comprehending it. 

After processing a document, Flesh produces two scores: the Flesch-Kincaid Grade Level and the Flesch Reading Ease Score. Each of these scores is calculated after determining the number of sentences, words and syllables a document contains. Using those numbers, the Flesch-Kincaid Grade Level and Flesch Reading Ease Score can then be calculated. 

%prep
%setup -q -n Flesh-Linux-%{version}


%build



%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/%{name}
cp -af *.jar %{buildroot}/%{_libdir}/%{name}/

#icons
mkdir -p %buildroot/%_miconsdir \
         %buildroot/%_liconsdir \
         %buildroot/%_iconsdir
cp -af %SOURCE1 %buildroot/
convert  %SOURCE1 -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert %SOURCE1 -resize 32x32 %buildroot/%{_iconsdir}/%{name}.png
convert %SOURCE1 -resize 48x48 %buildroot/%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -af %buildroot/%{_liconsdir}/%{name}.png %{buildroot}/%{_datadir}/pixmaps/

mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_libdir/%{name}
java -jar Flesh.jar
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Flesh
Comment=Document analyzer
Exec=%{name}
Icon=%_datadir/pixmaps/%{name}.png
Terminal=0
Type=Application
Categories=Office;X-MandrivaLinux-Office-Other;
EOF

rm -f %{buildroot}/%{name}.png

%clean
rm -rf %{buildroot}


%post
%{update_menus}


%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc *.txt
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_libdir}/%{name}/*

%changelog
* Wed Jul 27 2016 adrianomorselli <adrianomorselli> 2-0-1uplos2012
- rebuild

* Tue Oct 09 2012 Neal <nealbrks0 at gmail dot com> 2.0-1pclos2012
- process

* Tue Oct 09 2012 Ken <lxgator at gmail.com> 2.0-1pclos2012
- initial pkg
